Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
agora::media::base::AudioPcmFrame Struct Reference

`#include <AgoraMediaBase.h>`

## Public Member Functions
AudioPcmFrame & | operator= (const AudioPcmFrame &src)
| AudioPcmFrame ()
| AudioPcmFrame (const AudioPcmFrame &src)

## Public Attributes
| OPTIONAL_ENUM_SIZE_T
int64_t | capture_timestamp
size_t | samples_per_channel_
int | sample_rate_hz_
size_t | num_channels_
int | audio_track_number_
rtc::BYTES_PER_SAMPLE | bytes_per_sample
int16_t | data_ [kMaxDataSizeSamples]
bool | is_stereo_

## Constructor & Destructor Documentation

## ◆ AudioPcmFrame() [1/2]

agora::media::base::AudioPcmFrame::AudioPcmFrame | ( |  | ) |
| inline

## ◆ AudioPcmFrame() [2/2]

agora::media::base::AudioPcmFrame::AudioPcmFrame | ( | const AudioPcmFrame & | src | ) |
| inline

## Member Function Documentation

## ◆ operator=()

AudioPcmFrame & agora::media::base::AudioPcmFrame::operator= | ( | const AudioPcmFrame & | src | ) |
| inline

## Member Data Documentation

## ◆ OPTIONAL_ENUM_SIZE_T

agora::media::base::AudioPcmFrame::OPTIONAL_ENUM_SIZE_T

Initial value:
{
kMaxDataSizeSamples = 3840,
kMaxDataSizeBytes = kMaxDataSizeSamples * sizeof(int16_t),
}

The buffer size of the PCM audio frame. The initial value is 3840.

## ◆ capture_timestamp

int64_t agora::media::base::AudioPcmFrame::capture_timestamp

The timestamp (ms) of the audio frame.

## ◆ samples_per_channel_

size_t agora::media::base::AudioPcmFrame::samples_per_channel_

The number of samples per channel in the audio frame.

## ◆ sample_rate_hz_

int agora::media::base::AudioPcmFrame::sample_rate_hz_

Audio sample rate (Hz).

## ◆ num_channels_

size_t agora::media::base::AudioPcmFrame::num_channels_

The number of audio channels.

## ◆ audio_track_number_

int agora::media::base::AudioPcmFrame::audio_track_number_

@technical preview The audio track number. if mpk enableMultiAudioTrack, audio frame will have audio track number, eg 0 or 1.

## ◆ bytes_per_sample

rtc::BYTES_PER_SAMPLE agora::media::base::AudioPcmFrame::bytes_per_sample

The number of bytes per sample.

## ◆ data_

int16_t agora::media::base::AudioPcmFrame::data_[kMaxDataSizeSamples]

The audio frame.

## ◆ is_stereo_

bool agora::media::base::AudioPcmFrame::is_stereo_

@technical preview data_[kMaxDataSizeSamples] is real stereo data